{
  config,
  lib,
  pkgs,
  ...
}:
with lib; let
  cfg = config.local.services.syncthing;
in {
  options.local.services.syncthing = {
    enable = mkEnableOption "syncthing settings";
  };

  config = mkIf cfg.enable {
    services.syncthing = {
      enable = true;
      tray.enable = true;
    };
  };
}
